Bug 52845 - -x option documented in manpage but not implemented
Summary: -x option documented in manpage but not implemented
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vim   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 22:20 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-29 22:20:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-29 22:20:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.16 i686)

Description of problem:
According to the vim manpage

  OPTIONS
  ...
       -x          Use  encryption  when  writing  files.    Will
                   prompt for a crypt key.

but when I try to do that:

    $ vi -x JF
    VIM - Vi IMproved 5.7 (2000 Jun 24, compiled Jan 31 2001 06:11:07)
    Unknown option: "-x"
    More info with: "vim -h"

Seems the program and its manpage really ought to agree on what is
or is not supported :)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Verify manpage contents by "man vim"
2.  Enter "vim -x JF" at a shell prompt
3.  See error message.
	

Additional info:

Comment 1 Bernhard Rosenkraenzer 2001-08-30 09:35:29 UTC
vi == vim-minimal == vim without any features.

Install the vim-enhanced package and invoke it as vim (or "alias vi=vim").




Note You need to log in before you can comment on or make changes to this bug.